# cypher.h File Reference

Go to the source code of this file.

## Classes

class | PBase64
| This class is used to encode/decode data using the MIME standard base64 encoding mechanism as defined in RFC1521. More...
class | PMessageDigest
class | PMessageDigest::Result
class | PMessageDigest5
| MD5 Message Digest. More...
class | PMessageDigest5::Code
class | PCypher
| This abstract class defines an encryption/decryption algortihm. More...
class | PTEACypher
| Tiny Encryption Algorithm. More...
struct | PTEACypher::Key
class | PSecureConfig